//++
//debug.h - declarations for debug.a51
//
// Copyright (C) 2005 by Spare Time Gizmos.  All rights reserved.
//
// This file is part of the Spare Time Gizmos'MP3 Player firmware.
//
// This firmware is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA.
//
//REVISION HISTORY:
// dd-mmm-yy    who     description
// 15-May-05    RLA     New file.
//--
#ifndef _debug_h_
#define _debug_h_

// Initialize the watch dog timer...
extern void InitializeWDT (void);
// Reset the watch dog timer...
extern void ResetWDT (void);
// Intialize the 8051's internal UART for putc/printf/getc/scanf ...
extern void InitializeDebugSerial (void);
// Read one character from the debug terminal...
extern char _getkey (void);
// Write a character to the debug terminal...
extern void putchar (char);

#endif	// _debug_h_
